Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDOUnsupportedOptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jdo.JDOException
                      javax.jdo.JDOCanRetryException
                          javax.jdo.JDOUserException
                              javax.jdo.JDOUnsupportedOptionException

All Implemented Interfaces:
  java.io.Serializable

    public class JDOUnsupportedOptionException

extends JDOUserException

This class represents exceptions caused by the use of optional features not supported by the JDO implementation.

Version:
  1.0
See Also:
  Serialized Form

Constructor Summary
`JDOUnsupportedOptionException()` Constructs a new `JDOUnsupportedOptionException` without a detail message.
`JDOUnsupportedOptionException(java.lang.String msg)` Constructs a new `JDOUnsupportedOptionException` with the specified detail message.
`JDOUnsupportedOptionException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new `JDOUnsupportedOptionException` with the specified detail message and nested `Throwable`s.
`JDOUnsupportedOptionException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDOUnsupportedOptionException` with the specified detail message and nested `Throwable`s.

Method Summary

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOUnsupportedOptionException

    public JDOUnsupportedOptionException()

  Constructs a new `JDOUnsupportedOptionException` without a detail message.

### JDOUnsupportedOptionException

    public JDOUnsupportedOptionException(java.lang.String msg)

  Constructs a new `JDOUnsupportedOptionException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### JDOUnsupportedOptionException

    public JDOUnsupportedOptionException(java.lang.String msg,
                                         java.lang.Throwable[] nested)

  Constructs a new `JDOUnsupportedOptionException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.

### JDOUnsupportedOptionException

    public JDOUnsupportedOptionException(java.lang.String msg,
                                         java.lang.Throwable nested)

  Constructs a new `JDOUnsupportedOptionException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD